## rockbox 2011-02-27maemo0

=== gdb/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#

ifeq ($(MODELNAME),ifp7xx)

INCLUDES= -I$(FIRMDIR)/include -I$(FIRMDIR)/export -I. -I$(OBJDIR)	\
 -I$(BUILDDIR)

DEPFILE = $(OBJDIR)/dep-stub
LDS := linker.cfg

SRC := $(shell cat SOURCES | $(CC) -DMEMORYSIZE=$(MEMORYSIZE) $(INCLUDES) $(TARGET) $(DEFINES) -E -P -include "config.h" - )
DIRS = .

ifdef APPEXTRA
   DIRS += $(subst :, ,$(APPEXTRA))
   INCLUDES += $(patsubst %,-I%,$(subst :, ,$(APPEXTRA)))
endif

ifndef VERSION
VERSION=$(shell date +%y%m%d-%H%M)
endif

CFLAGS = $(GCCOPTS) $(INCLUDES) $(TARGET) $(DEFINES)			\
 $(EXTRA_DEFINES) -DMEM=${MEMORYSIZE}

OBJS := $(SRC:%.c=$(OBJDIR)/%.o)
SOURCES = $(SRC)
LINKFILE = $(OBJDIR)/linkage.lds

LIBROCKBOX = $(BUILDDIR)/librockbox.a

all: $(BUILDDIR)/$(BINARY) $(FLASHFILE)

dep: $(DEPFILE)

$(LINKFILE): $(LDS)
	$(call PRINTS,Build $(@F))cat $< | $(CC) -DMEMORYSIZE=$(MEMORYSIZE) $(INCLUDES) $(TARGET) $(DEFINES) -E -P $(ROMBUILD) - >$@

$(OBJDIR)/stub.elf : $(OBJS) $(LINKFILE) $(DEPFILE) $(LIBROCKBOX)
	$(call PRINTS,LD $(@F))$(CC) $(GCCOPTS) -Os -nostdlib -o $@ $(OBJS) -L$(BUILDDIR) -L$(BUILDDIR)/firmware -lrockbox -lgcc -T$(LINKFILE) -Wl,-Map,$(OBJDIR)/stub.map

$(OBJDIR)/stub.bin : $(OBJDIR)/stub.elf
	$(call PRINTS,OBJCOPY $(@F))$(OC) -O binary $< $@

$(BUILDDIR)/$(BINARY) : $(OBJDIR)/stub.bin
	$(call PRINTS,Build stub file)$(MKFIRMWARE) $< $@

include $(TOOLSDIR)/make.inc

clean:
	$(call PRINTS,cleaning stub)-rm -f $(OBJS) $(BUILDDIR)/$(BINARY) \
	$(OBJDIR)/stub.bin $(OBJDIR)/stub.elf $(OBJDIR)/*.map \
	$(LINKFILE) $(DEPFILE)

-include $(DEPFILE)

else # not ifp7xx

ifdef RECORDER
EXTRA = -DRECORDER
EXT = ajz
else
EXT = mod
endif

TARGET = stub
OBJS = start.o sh-stub.o setjmp.o
LIBS = -lgcc

.s.o:
	sh-elf-as -o $@ $<

.c.o:
	sh-elf-gcc -O $(EXTRA) -I../firmware/export -I../firmware/include -m1 -Wall -Wstrict-prototypes -c -o $@ $<

.S.o:
	sh-elf-gcc -O -I../firmware/export -I../firmware/include -m1 -Wall -Wstrict-prototypes -c -o $@ $<

$(TARGET).$(EXT): $(TARGET).elf
	sh-elf-objcopy -O binary $(TARGET).elf $(TARGET).out
	../tools/scramble $(TARGET).out $(TARGET).$(EXT)
	../tools/sh2d $(TARGET).out -o 09000000 > $(TARGET).asm

$(TARGET).elf: $(OBJS)
	sh-elf-gcc -nostartfiles $(OBJS) -nostdlib -Wl,-Map,$(TARGET).map -o $(TARGET).elf -Tlinker.cfg

clean:
	rm $(OBJS) $(TARGET).map $(TARGET).elf $(TARGET).out $(TARGET).mod $(TARGET).ajz

start.o: start.s
sh-stub.o: sh-stub.c
setjmp.o: setjmp.S

endif

=== manual/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#

# Needed to build the features list.
INCLUDES= $(TARGET_INC) -I$(FIRMDIR)/include -I$(FIRMDIR)/export -I. -I$(BUILDDIR)	\
 -I$(BUILDDIR)/bitmaps -I$(OBJDIR)

.PHONY: all buildmanual clean
MANFILE := rockbox-build

VERSION= `$(TOOLSDIR)/version.sh $(ROOTDIR)`

all: manual-pdf 

features: $(OBJDIR)/features

manual-prep: rockbox.tex
	@if [ "$(OBJDIR)" = "" ]; then echo Run make in you build directory!; false; fi
	@mkdir -p $(OBJDIR)
	@find * -type d \! -regex '.*\.svn.*' -exec mkdir -p $(OBJDIR)/{} \;
	@find * -type f \! -regex '.*\.svn.*' -exec cp {} $(OBJDIR)/{} \;
	@printf "%s%%" $(VERSION) > $(OBJDIR)/version.tex
	@perl credits.pl < $(DOCSDIR)/CREDITS  > $(OBJDIR)/CREDITS.tex
	@printf "\\\\newcommand{\\\\platform}{${MANUALDEV}}\n" > $(OBJDIR)/$(MANFILE).tex
	@printf "\\\\newcommand{\\\\buildversion}{$(VERSION)}\n" >> $(OBJDIR)/$(MANFILE).tex
	@printf "\\\\input{rockbox.tex}\n" >> $(OBJDIR)/$(MANFILE).tex
	@mv $(OBJDIR)/Makefile.pdflatex $(OBJDIR)/Makefile

$(OBJDIR)/features: $(ROOTDIR)/apps/features.txt
	$(SILENT)mkdir -p `dirname $@`
	$(SILENT)cat $< | $(HOSTCC) -DMEMORYSIZE=$(MEMORYSIZE) $(INCLUDES) \
	$(TARGET) $(DEFINES) $(EXTRA_DEFINES) -E -P -imacros "config.h" -imacros "button.h" - | \
	grep -v "^\#" | grep -v "^$$" > $@; \
	for f in `cat $(OBJDIR)/features`; do feat="$$feat\\n\\\\edef\\\\UseOption{\\\\UseOption,$$f}" ; done ; \
	printf "$$feat" >$(OBJDIR)/features.tex

manual-pdf: features manual-prep rockbox.tex
	$(MAKE) -C $(OBJDIR) buildmanual

manual-html: features manual-prep rockbox.tex
	$(MAKE) -C $(OBJDIR) buildhtml

manual-txt: manual-html
	$(MAKE) -C $(OBJDIR) buildtxt

manual-txt-zip: manual-txt
	$(MAKE) -C $(OBJDIR) txtzip

manual-zip: manual-html
	$(MAKE) -C $(OBJDIR) htmlzip

clean:
	@if [ "$(OBJDIR)" = "" ]; then echo Run make in you build directory!; false; fi
	@rm -rf $(OBJDIR)/manual $(OBJDIR)/*.pdf
	@rm -rf $(OBJJDIR)/html $(OBJDIR)/txt

=== tools/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#
CFLAGS := -O -g -W -Wall -Wshadow -pedantic
LDFLAGS := -g

.PHONY: rbspeexenc uclpack

CLEANALL := scramble descramble iriver sh2d bmp2rb rdf2binary convbdf \
    generate_rocklatin mkboot ipod_fw codepages uclpack mi4 gigabeat lngdump \
    telechips gigabeats creative hmac-sha1 rbspeexenc mkzenboot mk500boot

all: scramble descramble sh2d rdf2binary mkboot mkzenboot convbdf codepages \
	uclpack rbspeexenc voicefont mk500boot

scramble: scramble.o iriver.o mi4.o gigabeat.o gigabeats.o telechips.o \
	iaudio_bl_flash.o creative.o hmac-sha1.o
descramble: descramble.o iriver.o gigabeat.o
scramble.o: scramble.c iriver.h mi4.h gigabeat.h telechips.h iaudio_bl_flash.h \
	creative.h

descramble.o: descramble.c iriver.h gigabeat.h
creative.o: creative.c creative.h
hmac-sha1.o: hmac-sha1.c hmac-sha1.h
iriver.o: iriver.c iriver.h
gigabeat.o: gigabeat.c gigabeat.h
gigabeats.o: gigabeats.c gigabeats.h
mi4.o: mi4.c mi4.h
telechips.o: telechips.c telechips.h
iaudio_bl_flash.o: iaudio_bl_flash.c iaudio_bl_flash.h
iaudio_bl_flash.c iaudio_bl_flash.h: iaudio_bl_flash.bmp bmp2rb
	$(SILENT)./bmp2rb -f 7 -h . $< >iaudio_bl_flash.c

sh2d: sh2d.c

bmp2rb:	bmp2rb.c
	$(SILENT)$(CC) -DAPPLICATION_NAME=\"$@\" $(CFLAGS) $+ -o $@

rdf2binary:	rdf2binary.c
	$(SILENT)$(CC) $(CFLAGS) $+ -o $@

mkboot:	mkboot.c
	$(SILENT)$(CC) $(CFLAGS) $+ -o $@

mk500boot: mk500boot.c mr500.c
	$(SILENT)$(CC) $(CFLAGS) $+ -o $@
	
mkzenboot.o: mkzenboot.c
	$(SILENT)$(CC) $(CFLAGS) -DSTANDALONE -c -o $@ $+

mkzenboot: mkzenboot.o hmac-sha1.o
	$(SILENT)$(CC) $(LDFLAGS) -lz $+ -o $@

mkzenboot.exe: mkzenboot.o hmac-sha1.o
	$(SILENT)$(CC) $(LDFLAGS) -lz $+ C:\MingW\lib\libz.a -o $@

lngdump: lngdump.c
	$(SILENT)$(CC) $(CFLAGS) $+ -o $@

ipod_fw:	ipod_fw.c
	$(SILENT)$(CC) $(CFLAGS) $+ -o $@

checkwps: checkwps.c ../apps/gui/wps_parser.c ../apps/gui/wps_debug.c \
	../firmware/common/ctype.c ../apps/misc.c ../apps/recorder/bmp.c
	$(SILENT)$(CC) $(CFLAGS) -I ../apps/gui -I../firmware/export \
	    -D__PCTOOL__ -DDEBUG -DROCKBOX_HAS_LOGF -DIPOD_COLOR \
	    -D ROCKBOX_DIR_LEN -D WPS_DIR=\".\" -I../apps \
	    -I../firmware/target/arm/ipod -I../firmware/include $+ -o $@

convbdf: convbdf.c
	$(SILENT)$(CC) $(CFLAGS) $+ -o $@

codepages: codepages.c codepage_tables.c
	$(SILENT)$(CC) $(CFLAGS) $+ -o $@

player_unifont: player_unifont.c ../firmware/drivers/lcd-charset-player.c
	$(SILENT)$(CC) -DARCHOS_PLAYER -D__PCTOOL__ -I../firmware/export $+ \
	    -o $@

uclpack:
	$(SILENT)$(MAKE) -C ucl

rbspeexenc:
	$(SILENT)$(MAKE) -C rbspeex

wavtrim: wavtrim.c
	$(SILENT)$(CC) $(CFLAGS) $+ -o $@

voicefont: voicefont.c
	$(SILENT)$(CC) $(CFLAGS) $+ -o $@

usb_benchmark: usb_benchmark.c
	$(SILENT)$(CC) $(CFLAGS) -lusb $+ -o $@

clean:
	@echo "Cleaning tools"
	$(SILENT)rm -f $(CLEANALL) $(shell for f in $(CLEANALL) ; do \
	    echo $$f.exe $$f.o $$f.obj ; done) *.ajf *~
	$(SILENT)$(MAKE) -C ucl clean
	$(SILENT)$(MAKE) -C rbspeex clean

=== uisimulator/common/Makefile ===
############################################################################
#             __________               __   ___.                  
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___  
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /  
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <   
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/ 
# $Id$
#
# Copyright (C) 2002 by Daniel Stenberg <daniel@haxx.se>
#
# All files in this archive are subject to the GNU General Public License.
# See the file COPYING in the source tree root for full license agreement.
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
# KIND, either express or implied.
#
############################################################################

DEPFILE = $(OBJDIR)/dep-commonsim

RM = rm -f
DEBUG = -g

# Use this for simulator-only files
INCLUDES = -I. -I$(OBJDIR) $(TARGET_INC) -I$(FIRMDIR)/export -I$(APPSDIR)	\
-I$(ROOTDIR)/uisimulator/sdl -I$(BUILDDIR)

# This sets up 'SRC' based on the files mentioned in SOURCES
include $(TOOLSDIR)/makesrc.inc

OBJS := $(SRC:%.c=$(OBJDIR)/%.o)

DEFINES := -DHAVE_CONFIG_H -DGETTIMEOFDAY_TWO_ARGS -DSIMULATOR \
$(TARGET) -DMEM=${MEMORYSIZE} $(EXTRA_DEFINES)

SOURCES = $(SRC)

DIRS = .

CFLAGS = $(DEBUG) $(DEFINES) $(INCLUDES) $(GCCOPTS)

OUTFILE = $(BUILDDIR)/libcomsim.a

all: $(OUTFILE)

include $(TOOLSDIR)/make.inc

clean:
	$(call PRINTS,cleaning commonsim)$(RM) $(OBJS) *~ core $(DEPFILE) $(OUTFILE)

$(OUTFILE): $(OBJS)
	$(call PRINTS,AR+RANLIB $(@F))$(AR) ruv $@ $(OBJS) >/dev/null 2>&1
	$(SILENT)$(RANLIB) $@

-include $(DEPFILE)

=== utils/sbinfo/Makefile ===
TGT = sbinfo

all: $(TGT)

$(TGT): sbinfo.c crc.c crypto.h aes128.c sha1.c elf.c
	$(CC) -g -std=c99 -o $(TGT) -W -Wall sbinfo.c aes128.c crc.c sha1.c elf.c

clean:
	rm -fr $(TGT)

=== utils/zenutils/CMakeLists.txt ===
PROJECT(zenutils)

SET(EXECUTABLE_OUTPUT_PATH ${zenutils_SOURCE_DIR}/bin/${CMAKE_SYSTEM_NAME})

SUBDIRS(source libraries)

INCLUDE_DIRECTORIES(
  ${zenutils_SOURCE_DIR}/libraries/beecrypt-4.1.2
  ${zenutils_SOURCE_DIR}/libraries/getpot-c++-1.1.18
  ${zenutils_SOURCE_DIR}/libraries/pelib-0.9
  ${zenutils_SOURCE_DIR}/libraries/zlib123
  ${zenutils_SOURCE_DIR}/source/shared
)

=== firmware/test/fat/Makefile ===
FIRMWARE = ../..

export BUILDDATE=$(shell date -u +'-DYEAR=%Y -DMONTH=%m -DDAY=%d')
export CPU=arm
export TARGET=-DIPOD_VIDEO
export TARGET_INC=-I$(FIRMWARE)/target/arm/ipod/video -I$(FIRMWARE)/target/arm/ipod -I$(FIRMWARE)/target/arm

DRIVERS = ../../drivers
EXPORT = ../../export

INCLUDE = -I$(EXPORT)

RINCLUDE =  -I$(FIRMWARE)/include 
DEFINES =  -DTEST_FAT -DDEBUG -DCRT_DISPLAY -DDISK_WRITE -DHAVE_FAT16SUPPORT

CFLAGS = -g -Wall $(DEFINES) -I. $(INCLUDE) $(RINCLUDE) $(BUILDDATE) 
SIMFLAGS = -g -Wall $(DEFINES) -I. $(INCLUDE)

TARGET = fat


$(TARGET): fat.o ata-sim.o main.o disk.o debug.o dir.o file.o ctype.o
	gcc -g -o fat $+ -lfl

fat.o: $(DRIVERS)/fat.c $(EXPORT)/fat.h $(EXPORT)/ata.h
	$(CC) $(CFLAGS) -DSIMULATOR -c $< -o $@

ctype.o: $(FIRMWARE)/common/ctype.c
	$(CC) $(CFLAGS) -c $< -o $@

disk.o: $(FIRMWARE)/common/disk.c
	$(CC) $(CFLAGS) -c $< -o $@

dir.o: $(FIRMWARE)/common/dir.c
	$(CC) $(CFLAGS) -c $< -o $@

file.o: $(FIRMWARE)/common/file.c
	$(CC) $(CFLAGS) -c $< -o $@

debug.o: $(FIRMWARE)/debug.c
	$(CC) $(SIMFLAGS) -DSIMULATOR -c $< -o $@

ata-sim.o: ata-sim.c $(EXPORT)/ata.h
	$(CC) $(SIMFLAGS) -DSIMULATOR -c $< -o $@

dir.h: $(FIRMWARE)/include/dir.h
	ln -s $(FIRMWARE)/include/dir.h .

file.h: $(FIRMWARE)/include/file.h
	ln -s $(FIRMWARE)/include/file.h .

main.o: main.c $(EXPORT)/ata.h dir.h file.h
	$(CC) $(SIMFLAGS) -c $< -o $@

clean:
	rm -f *.o $(TARGET)
	rm -f *~
	rm -f cmd.tab.h lex.yy.c cmd.tab.c
	rm -f core
	rm -f dir.h file.h

tar:
	rm -f $(TARGET).tar
	tar cvf $(TARGET).tar -C .. fat

=== firmware/test/i2c/Makefile ===
CC    = sh-elf-gcc 
LD    = sh-elf-ld
AR    = sh-elf-ar
AS    = sh-elf-as
OC    = sh-elf-objcopy

FIRMWARE=../..

INCLUDES=-I$(FIRMWARE) -I$(FIRMWARE)/common -I$(FIRMWARE)/drivers

TARGET = -DARCHOS_PLAYER_OLD=1

CFLAGS = -g -W -Wall -m1 -save-temps -nostdlib -Wstrict-prototypes -fschedule-insns -fno-builtin $(INCLUDES) $(TARGET) -DDEBUG
AFLAGS += -small -relax

SRC := $(wildcard *.c)
OBJS := $(SRC:%.c=%.o) $(FIRMWARE)/crt0.o
DEPS:=.deps
DEPDIRS:=$(DEPS)

all : archos.mod

archos.elf : $(OBJS) app.lds
	$(CC) -nostartfiles -o archos.elf $(OBJS) -lgcc -lrockbox -L$(FIRMWARE) -Tapp.lds -Wl,-Map,archos.map

archos.bin : archos.elf
	$(OC) -O binary archos.elf archos.bin

archos.asm: archos.bin
	sh2d -sh1 archos.bin > archos.asm

archos.mod : archos.bin
	scramble archos.bin archos.mod

archos.mod.gz : archos.mod
	gzip -f archos.mod

dist:
	tar czvf dist.tar.gz Makefile main.c start.s app.lds

clean:
	-rm -f $(OBJS) *.x *.i *.o *.s *.elf *.bin *.map *.mod *.bak *~
	-$(RM) -r $(DEPS)

$(DEPS)/%.d: %.c
	@$(SHELL) -c 'for d in $(DEPDIRS); do { if [ ! -d $$d ]; then mkdir $$d; fi; }; done'
	@echo "Updating dependencies for $<"
	@$(SHELL) -ec '$(CC) -MM $(CFLAGS) $< \
		|sed '\''s|\($*\)\.o[ :]*|\1.o $(<:%.c=%.d) : |g'\'' > $@; \
		[ -s $@ ] || rm -f $@'

-include $(SRC:%.c=$(DEPS)/%.d)

=== rbutil/mkamsboot/dualboot/Makefile ===
CC=gcc
CROSS_PREFIX=arm-elf
# Edit the following variables (plus copy/paste another set of rules) when
# adding a new target.  mkamsboot.c also needs to be edited to refer to these
# new images.

BOOTOBJS = nrv2e_d8.o dualboot_clip.o dualboot_e200v2.o dualboot_c200v2.o dualboot_m200v4.o dualboot_fuze.o dualboot_clipv2.o dualboot_clipplus.o dualboot_fuzev2.o
BOOTBINS = nrv2e_d8.arm-bin dualboot_clip.arm-bin dualboot_e200v2.arm-bin dualboot_c200v2.arm-bin dualboot_m200v4.arm-bin dualboot_fuze.arm-bin dualboot_clipv2.arm-bin dualboot_clipplus.arm-bin dualboot_fuzev2.arm-bin

all: ../dualboot.h ../dualboot.c

# Dualboot bootloaders

dualboot_clip.o: dualboot.S
	$(CROSS_PREFIX)-$(CC) -DSANSA_CLIP -c -o dualboot_clip.o dualboot.S

dualboot_fuze.o: dualboot.S
	$(CROSS_PREFIX)-$(CC) -DSANSA_FUZE -c -o dualboot_fuze.o dualboot.S

dualboot_e200v2.o: dualboot.S
	$(CROSS_PREFIX)-$(CC) -DSANSA_E200V2 -c -o dualboot_e200v2.o dualboot.S

dualboot_m200v4.o: dualboot.S
	$(CROSS_PREFIX)-$(CC) -DSANSA_M200V4 -c -o dualboot_m200v4.o dualboot.S

dualboot_c200v2.o: dualboot.S
	$(CROSS_PREFIX)-$(CC) -DSANSA_C200V2 -c -o dualboot_c200v2.o dualboot.S

dualboot_clipv2.o: dualboot.S
	$(CROSS_PREFIX)-$(CC) -DSANSA_CLIPV2 -c -o dualboot_clipv2.o dualboot.S

dualboot_clipplus.o: dualboot.S
	$(CROSS_PREFIX)-$(CC) -DSANSA_CLIPPLUS -c -o dualboot_clipplus.o dualboot.S

dualboot_fuzev2.o: dualboot.S
	$(CROSS_PREFIX)-$(CC) -DSANSA_FUZEV2 -c -o dualboot_fuzev2.o dualboot.S

# Rules for the ucl unpack function
nrv2e_d8.o: nrv2e_d8.S
	$(CROSS_PREFIX)-$(CC) -DPURE_THUMB -c -o nrv2e_d8.o nrv2e_d8.S

# Rules for the ARM code embedded in mkamsboot - assemble, link, then extract
# the binary code and finally convert to .h for building in mkamsboot

%.arm-elf: %.o
	$(CROSS_PREFIX)-ld -e 0 -Ttext=0 -o $@ $<

%.arm-bin: %.arm-elf
	$(CROSS_PREFIX)-objcopy -O binary $< $@

../dualboot.c ../dualboot.h: $(BOOTBINS) bin2c
	./bin2c ../dualboot $(BOOTBINS)

bin2c: bin2c.c
	$(CC) -o bin2c bin2c.c

clean:
	rm -f *~ bin2c $(BOOTBINS) $(BOOTOBJS)

=== tools/ucl/src/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#
CFLAGS = -I../include

ifndef V
SILENT = @
endif

ifdef RBARCH
CFLAGS += -arch $(RBARCH)
endif


OUT = $(TARGET_DIR)build$(RBARCH)

SOURCES = alloc.c io.c n2b_99.c n2b_d.c n2b_ds.c n2b_to.c n2d_99.c	\
	n2d_d.c n2d_ds.c n2d_to.c n2e_99.c n2e_d.c n2e_ds.c n2e_to.c ucl_crc.c	\
	ucl_init.c ucl_ptr.c ucl_str.c ucl_util.c #ucl_dll.c

OBJS =  $(addprefix $(OUT)/,$(SOURCES:%.c=%.o))

# This Makefile is _not_ used to build uclpack for Rockbox builds anymore (they
# use tools.make), so we can use $(CC) and $(AR) here.

libucl$(RBARCH).a: $(OUT) $(OBJS)
	@echo AR $@
	$(SILENT)$(AR) rucs $(TARGET_DIR)$@ $(OBJS) >/dev/null 2>&1

$(OUT)/%.o: %.c
	@echo CC $<
	$(SILENT)$(CC) $(CFLAGS) -c $< -o $@
    
# some trickery to build ppc and i386 from a single call
ifeq ($(RBARCH),)
$(TARGET_DIR)libucli386.a:
	make RBARCH=i386 TARGET_DIR=$(TARGET_DIR) libucli386.a

$(TARGET_DIR)libuclppc.a:
	make RBARCH=ppc TARGET_DIR=$(TARGET_DIR) libuclppc.a
endif    
    
libucl-universal: $(TARGET_DIR)libucli386.a $(TARGET_DIR)libuclppc.a
	@echo lipo $(TARGET_DIR)libucl.a
	$(SILENT) rm -f $(TARGET_DIR)libucl.a
	$(SILENT)lipo -create $(TARGET_DIR)libuclppc.a $(TARGET_DIR)libucli386.a -output $(TARGET_DIR)libucl.a
    
clean:
	rm -f $(TARGET_DIR)libucl*.a
	rm -rf build*

$(OUT):
	@echo MKDIR $(OUT)
	$(SILENT)mkdir -p $(OUT)

=== utils/disassembler/arm/Makefile ===
CFLAGS = -Wall

ifeq ($(findstring CYGWIN,$(shell uname)),CYGWIN)
OUTPUT=arm_disass.exe
CROSS=
CFLAGS+=-mno-cygwin
else
OUTPUT=arm_disass
CROSS=i586-mingw32msvc-
endif

NATIVECC = gcc
CC = $(CROSS)gcc

all: $(OUTPUT)

arm_disass: main.c disasm_arm.c
	gcc $(CFLAGS) -o arm_disass main.c disasm_arm.c
	strip arm_disass

arm_disass.exe: main.c disasm_arm.c
	$(CC) $(CFLAGS) -o arm_disass.exe main.c disasm_arm.c
	$(CROSS)strip arm_disass.exe

clean:
	rm -f arm_disass main.o disasm_arm.o *~

=== utils/wpseditor/libwps/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#
ROOT=../../..

ifneq ($or($(findstring MINGW,$(shell uname)),$(findstring Windows_NT,$(OS))),)
  OS = w32
  CC = mingw32-gcc
  COPY = copy /Y
  COPY_TO = ..\\gui\\bin
  RM = del
  EXT = .dll
  LDFLAGS = -DBUILD_DLL
endif

ifeq ($(findstring Linux,$(shell uname)),Linux)
  OS = linux
  CC = gcc
  COPY = cp -f
  COPY_TO = ../gui/bin
  RM = rm -f
  EXT = .so
  LDFLAGS = -fPIC
endif

TARGETS=IRIVER_H10 \
        IRIVER_H10_5GB \
        IPOD_COLOR \
        IPOD_NANO \
        IPOD_VIDEO \
        IPOD_3G \
        IPOD_4G \
        IPOD_MINI \
        IPOD_MINI2G \
        IPOD_1G2G \
        GIGABEAT_F \
        GIGABEAT_S \
        SANSA_E200 \
        SANSA_C200 \
        IRIVER_H100 \
        IRIVER_H120 \
        IRIVER_H300 \
        IAUDIO_X5 \
        IAUDIO_M5 \
        IAUDIO_M3 \
        
SOURCES= \
        src/api.c \
        src/dummies.c \
        src/lcd.c \
        src/proxy.c \
        $(ROOT)/apps/gui/scrollbar.c \
        $(ROOT)/apps/gui/music_screen.c \
	$(ROOT)/apps/gui/wps_engine/wps_display.c \
	$(ROOT)/apps/gui/wps_engine/wps_tokens.c \
        $(ROOT)/apps/gui/wps_engine/wps_parser.c \
        $(ROOT)/apps/gui/wps_parser/wps_debug.c \
        $(ROOT)/apps/recorder/peakmeter.c \
        $(ROOT)/apps/recorder/icons.c \
        $(ROOT)/apps/misc.c \
        $(ROOT)/apps/status.c \
        $(ROOT)/firmware/common/ctype.c \
        $(ROOT)/firmware/common/timefuncs.c \
        $(ROOT)/firmware/common/unicode.c \
        $(ROOT)/firmware/font.c \
        $(ROOT)/firmware/font_cache.c \
        $(ROOT)/firmware/id3.c \
        $(ROOT)/firmware/lru.c \
        $(ROOT)/firmware/mp3data.c \
        $(ROOT)/firmware/replaygain.c 
#        $(ROOT)/apps/recorder/bmp.c
#        $(ROOT)/apps/abrepeat.c \
#        $(ROOT)/apps/action.c \
#        $(ROOT)/apps/cuesheet.c \
#        $(ROOT)/apps/gui/statusbar.c \
#        $(ROOT)/apps/gui/gwps.c \

INCLUDE=-I src/include \
        -I $(ROOT)/apps/gui \
        -I $(ROOT)/firmware/export \
        -I $(ROOT)/firmware/include \
        -I $(ROOT)/apps/recorder \
        -I $(ROOT)/apps \
        -I src

CFLAGS = -g -Wall -Wno-format -D__PCTOOL__ -DWPSEDITOR -DDEBUG -DROCKBOX_DIR_LEN=1 -DBUTTON_REMOTE 

RESULTS := $(patsubst %,libwps_%$(EXT),$(TARGETS))

all: $(RESULTS)

libwps_%$(EXT): $(SOURCES)
	@echo CC [$(subst libwps_,,$(subst $(EXT),,$@))]
	@$(CC) $(INCLUDE) $(CFLAGS) -D$(subst libwps_,,$(subst $(EXT),,$@)) $(LDFLAGS) -shared -o $@ $+
	@$(COPY) $@ $(COPY_TO)

clean:
	$(RM) $(RESULTS)

=== debian/changelog ===
rockbox (2011-02-27maemo0) unstable; urgency=low

  * Fix/enable assembler optimizations on public build
  * Change play/pause button so that it shows
    the click action and not the current state

 -- Thomas Jarosch <tomj@simonv.com>  Wed, 27 Feb 2011 19:00:00 -0500

=== debian/control ===
Source: rockbox
Section: user/multimedia
Priority: extra
Maintainer: Thomas Jarosch <tomj@simonv.com>
Build-Depends: debhelper (>= 5), pkg-config, maemo-version-dev,
  libosso-dev, libglib2.0-dev, libhal-dev, osso-af-settings,
  libsdl1.2-dev, libxml2-dev,
  libgstreamer0.10-dev | maemo-version-dev (<= 5),
  libgstreamer-plugins-base0.10-dev | maemo-version-dev (<= 5),
  libgstreamer-plugins-base0.10-dev | maemo-version-dev (<= 5),
  libplayback-1-dev | maemo-version-dev (<= 5)
# Note: This is the -debian- standards version, not rockbox
Standards-Version: 3.7.2
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
 SU1FB9oKHhIPE5mDh+sAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAAH/ElEQVRo3s2aeZBU1RXGf/e+13v3rD0Dw4DiBA3FHpICVJZQ
 MiJLKKJsUikiREoxKROIKYiKSkUSQ0QhAUPASkJRRmPCEoOFKDjUIBBCWFSs
 IGCIEGFg9n2mu9+9+eP1DN0wg3T3zMCt+qq7Xt/13Hu+77zTV2AXCTgBL+AB
 HNFngpujaEABYaARaACaAW1GJ+kFcr53L4NmjGRUupdswEDfJNMXgMaqbqDs
 jWI++MNuPgJKgXoTcAE5zzzI5EX3s9gXJGi4cYqbx/r2Fmi01UxoeD9m9czh
 lz97g+1AxADSZo7i68/P4ecZt9JTujGFgcCAK1FWC8f/C0dOQmMYwgqcbjAd
 INqo35EQBkK6MN1ppA3JY8DpCxz69zkumoB7biFj/Ll0w2jfApU1sOAXsLUI
 LAWmCX16wrhh8OB4uGtwF22FAf5cuj18L2M27+OoBJyZPoKmEwc66i5toLQS
 Dh4HpwOenQ8bn4Xu2bBuM9z/E3jhjxCJtN++I2G6cGb5yQGcEpBaYyARWkB7
 uC0fRn4NmkJw+AR88xvwzhpYuRDCEVi2Hla9DiGr/T46CgiE1hiAlIDQLa5+
 jVamIXjxh4KZhfDeQVj0EpRVCRZMFyz/PigNq/4Exz6lS1YQJUgh45j2S0pe
 EFY/AbPvgy1FMPc5TWkFzJsimD4OviiF13Z0kSrECNhlrr2OkpMpWLlQML0Q
 io/Awpc05dWab422f9+2h86Xj5i5mvaCREKDpvvht0sEPYKadX8FraFwuP3b
 uYtQ1wB+b2dvgq1uZuuWaJGQ6fweeGoe1DdqXt0Gew5HWU6CyyE6dxu0rWyt
 O0CS4wV8gmWPCM58oXjngP2sVzdbI7rqGElbpkX0SeLIShese0rSp9dlR0+2
 r0RgzznWiVMoPXMFORn296Ofwt+Luy4KjHHi1GK3ihr7s7EZHv+Vold3g0G3
 C4ToXCaVrT6gU0N5td3hxLsFF8ph2XpFWVXq/baHOB+wl5P8eVRKUFFtM9DT
 D0sWPCDZsU+zYqPqPD/QbelAkke3ss4OJbICkB4QLJkrOPG55tevKwbeDrPG
 G5iyM3SghYWiXt3iC4miudnu1OkAKQTZ6ZIn55n0yIGlaxXFhzUqhf6vgr7s
 syaJxhLXcCjTFAghQAiG9Yel800eXR5h2XqL5jAcO6n56KTG44LRQyXfHitJ
 84uURjVbdEDr5NWzhWmcpv1da4GUgjmTJW8VK97eq5i6KIJhQMALlgWv7VCs
 fVOw6gkHIwbKxNhKc7UOpMII6VErVtdpQmHR+vzUWc25kstW+UpPwbonnaz9
 qYMJd0s+Pq35ztMh9h1TibNQfDQqomZMDk6HIM1na0FJuc1xDU3w45fDHD+t
 GdhHEPBCVa0mzQ/T7jF5caGD4QMk50vhud+FaWhKgAlb59oaSoDSImloLbgt
 37b8zv0KpQW7Dyn+eVwxaqjkby+7WfyQg4pq2LDVoqoWbskzmDrWwGHCqXOa
 D0+R4JjEsxA6NV7uX2BnBN58z6KmDsqrYGhfyZrFLnKzJI/NcDBrvMnO/RZb
 iiwEgr69DQJeCIehqjaBHYhhIRmrA6lg+EB7AWdLNBu3R5g61sHvl7npnS/R
 gMMhWDLPSb8CydJXQpw6q1pPgtNhB4WJjXnFApSWKWHEIJNA9CXmlb+EOV8K
 WWlGXJ1e3Qwem+nEsuDxFSH2HlXU1kOfXpJ+BUZC48UvoANEJjdbcudgW1bO
 X9Ks3BSispb4ekIwYaSTyaMd7PvQYs2fQwQzBc886sblkgmLWXw4nWKmIN0v
 mDLGgddtJ7427w7zyPONfHxSoSy7jlJw6nPFZ/9TKGWnY1b8yMOw/mYSmQni
 hUxpYed/U3hFmjbOyd4jFluLQoTCsHN/hHcP1JEXFOQFJTX1mrMlioBXcMet
 krMXFEdPWEwc6WzJ7SQsZB32PkDUUVcs9NK3wGBbUYgT/7FDiLIqjcOh6dvb
 YFqhi7sGm3y1t8GS1Q28uqWZSaNdDLnDSCqYM2ODuY4oPq9gwQwP0wvd1NQr
 auo0Po/A7xUEfIKAV2AYtvbMnuBiz7/CLN/QyKblAVzOBHYgbgHaZqHUjlCM
 vAvIzYLcrLatqqLjjBzq4p5hIXbuD/HugTCTRrmSi4VSDaeThRCCRXN8SAnb
 ikLU1JNwOC1jo9Ebgd75Jt+d4uH9gyE+O6cSahu3gFSFLFloLZl1nw+/T7Bh
 SwNKXW+7K44QNxDZGZIRg1y8XdzMmfPW9eWFrg4lbhw8boMhfZ1YSrNlV9P1
 RaOxLNSyLR3FQsmUAX2cpPkkuw428YPZaRhSXJOFlJadowOJlotlFoc+aSY7
 w8DrkZRXKUrKNT1y5HXrgG6Nr2/A/8JLVldy6HgTsycGEEDEgpo6TV7wSwxq
 G1ybgNJCWMqSGtn1/w2HI7bVLlVYVFRbdM8xyUwzW49Im8VCI4QFKAmE6hpF
 ZTgkIzeCRuc/kInXLdm6ux6PR7JgZiZZGY5rtgmHZKS2UVQCIRNo2v6P8Af9
 Cjwz01z0QHbtDgwf5GXTC/mUlEbonmNyS54jLuvQhvWpq+TSWwfCe4EmA9Cf
 nGmoDWb6GwuCjv6GIVwgpdZSaCXpbKAl6X6T/Fwn6X4TdDt1LamtJhGpqxCl
 W/c2/WbdtpJdQGWLMviA4EOTcoaNHey+0+MSGVrfXJc9hMBqbNZV7x9t3L9x
 R9khoAyoFzF5RVf01oo7evXmZrxuEwKaYq/b/B/B2k8FFRXfJAAAAABJRU5E
 rkJggg==
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=rockbox

Package: rockbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rockbox open source high quality audio player

Package: rockbox-doc
Architecture: all
Description: Documentation for rockbox

Package: rockbox-dbg
Section: devel
Architecture: any
Depends: rockbox (= ${Source-Version})
Description: Debug symbols for rockbox

## rockbox 2011-03-18maemo0

=== flash/bootloader/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#

CC = sh-elf-gcc 
LD = sh-elf-ld
AR = sh-elf-ar
AS = sh-elf-as
OC = sh-elf-objcopy

FIRMWARE := ../../firmware
TOOLSDIR=../../tools

TARGET = bootloader
LDS := $(TARGET).lds


ifndef PLATFORM 
not_configured:
	@echo "No platform given."
	@echo "Use make PLATFORM=PLAYER|RECORDER|FM|ONDIO {NO_ROM=1}"
##else
##configured:
##	@echo "Building bootloader for platform "$(PLATFORM)
endif


INCLUDES= -I$(FIRMWARE)/export -I. -I$(OBJDIR)
DEFINES= -DPLATFORM_$(PLATFORM)

OBJDIR := .

CFLAGS = -Os -W -Wall -m1 -nostdlib -ffreestanding -Wstrict-prototypes -fomit-frame-pointer -fschedule-insns $(INCLUDES) $(DEFINES)
AFLAGS += -small -relax


ifdef DEBUG
	DEFINES := -DDEBUG
	CFLAGS += -g
endif

SRC := $(wildcard *.c)

OBJS := $(SRC:%.c=$(OBJDIR)/%.o) $(OBJDIR)/sh_nrv2e_d8.o

ifdef NO_ROM
LINKFILE = $(OBJDIR)/no_rom.lds
ORIGIN = 0
DEFINES += -DNO_ROM
else
LINKFILE = $(OBJDIR)/$(TARGET).lds
ORIGIN = FFFF500
endif

$(OBJDIR)/$(TARGET).bin : $(OBJDIR)/$(TARGET).elf
	$(OC) -O binary $(OBJDIR)/$(TARGET).elf $(OBJDIR)/$(TARGET).bin
	$(TOOLSDIR)/sh2d $(OBJDIR)/$(TARGET).bin -o $(ORIGIN) > $(OBJDIR)/$(TARGET).asm
ifndef NO_ROM
	$(TOOLSDIR)/scramble $(OBJDIR)/$(TARGET).bin $(OBJDIR)/$(TARGET).ajz
endif

$(OBJDIR)/$(TARGET).elf : $(OBJS)
	$(CC) -Os -nostdlib -o $@ $(OBJS) -T$(LINKFILE) -Wl,-Map,$(OBJDIR)/$(TARGET).map

# cross-reference, saves code duplication
$(OBJDIR)/sh_nrv2e_d8.o : ../../firmware/decompressor/sh_nrv2e_d8.S
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	-rm -f \
	$(OBJS) \
	$(OBJDIR)/$(TARGET).asm \
	$(OBJDIR)/$(TARGET).bin \
	$(OBJDIR)/$(TARGET).ajz \
	$(OBJDIR)/$(TARGET).elf \
	$(OBJDIR)/$(TARGET).map

=== flash/minimon/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#

CC    = sh-elf-gcc 
LD    = sh-elf-ld
AR    = sh-elf-ar
AS    = sh-elf-as
OC    = sh-elf-objcopy

FIRMWARE := ../../firmware
TOOLSDIR=../../tools

TARGET = minimon
LDS := $(TARGET).lds

INCLUDES= -I$(FIRMWARE)/export -I. -I$(OBJDIR)
OBJDIR := .

CFLAGS = -fpic -O -W -Wall -m1 -nostdlib -ffreestanding -Wstrict-prototypes -fomit-frame-pointer -fschedule-insns $(INCLUDES) $(DEFINES)
AFLAGS += -small -relax


ifdef DEBUG
    DEFINES := -DDEBUG
    CFLAGS += -g
endif

SRC := $(wildcard *.c)

OBJS := $(SRC:%.c=$(OBJDIR)/%.o)

LINKFILE = $(OBJDIR)/$(TARGET).lds


$(OBJDIR)/$(TARGET).bin : $(OBJDIR)/$(TARGET).elf
	$(OC) -O binary $(OBJDIR)/$(TARGET).elf $(OBJDIR)/$(TARGET).bin
	$(TOOLSDIR)/sh2d $(OBJDIR)/$(TARGET).bin -o 0x0ffff000 > $(OBJDIR)/$(TARGET).asm

$(OBJDIR)/$(TARGET).elf : $(OBJS) 
	$(CC) -Os -nostdlib -o $(OBJDIR)/$(TARGET).elf -L$(OBJDIR) -T$(LINKFILE) -Wl,-Map,$(OBJDIR)/$(TARGET).map


clean:
	-rm -f $(OBJS) $(OBJDIR)/$(TARGET).asm \
	$(OBJDIR)/$(TARGET).bin \
	$(OBJDIR)/$(TARGET).elf \
	$(OBJDIR)/$(TARGET).map

=== lib/skin_parser/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#

ifndef V
SILENT = @
endif

CC ?= gcc
AR ?= ar
OUTPUT=libskin_parser
TARGET_DIR ?= ./

# construct build directory if BUILDDIR is not set.
BUILDDIR ?= $(TARGET_DIR)build
TARGETPLATFORM ?= $(shell uname)

ifdef RBARCH
CFLAGS += -arch $(RBARCH)
OBJDIR = $(BUILDDIR)/$(RBARCH)/
else
OBJDIR = $(BUILDDIR)/
endif

# input files
SOURCES := skin_buffer.c skin_debug.c skin_parser.c skin_scan.c tag_table.c
OBJS := $(patsubst %.c,%.o,$(addprefix $(OBJDIR),$(SOURCES)))

all: $(OUTPUT).a

$(OBJDIR)%.o: %.c
	@echo CC $<
	$(SILENT)mkdir -p $(dir $@)
	$(SILENT)$(CC) $(CFLAGS) -c -o $@ $<

ifeq ($(findstring Darwin,$(TARGETPLATFORM)),Darwin)
# some trickery to build ppc and i386 from a single call
$(OUTPUT).a: $(TARGET_DIR)$(OUTPUT)i386.a $(TARGET_DIR)$(OUTPUT)ppc.a
	@echo lipo $(TARGET_DIR)$@
	$(SILENT) rm -f $(TARGET_DIR)$(OUTPUT)
	$(SILENT)lipo -create $(TARGET_DIR)$(OUTPUT)ppc.a $(TARGET_DIR)$(OUTPUT)i386.a -output $(TARGET_DIR)$(OUTPUT).a

ifneq ($(RBARCH),)
$(OUTPUT)$(RBARCH).a: $(OBJS)
	@echo AR $@
	$(SILENT)$(AR) ruc $(TARGET_DIR)$@ $^
else
$(TARGET_DIR)$(OUTPUT)i386.a:
	make RBARCH=i386 TARGET_DIR=$(TARGET_DIR) $(OUTPUT)i386.a

$(TARGET_DIR)$(OUTPUT)ppc.a:
	make RBARCH=ppc TARGET_DIR=$(TARGET_DIR) $(OUTPUT)ppc.a
endif
else
$(OUTPUT).a: $(OBJS)
	@echo AR $@
	$(SILENT)$(AR) ruc $(TARGET_DIR)$@ $^
endif

clean:
	rm -f $(OBJS) $(OUTPUT) $(TARGET_DIR)$(OUTPUT)*.a
ifeq ($(findstring Darwin,$(shell uname)),Darwin)
endif

=== rbutil/ipodpatcher/Makefile ===
CFLAGS=-Wall -W

BOOT_H = ipod1g2g.h ipod3g.h ipod4g.h ipodcolor.h ipodmini1g.h ipodmini2g.h ipodnano1g.h ipodvideo.h

# Build with "make BOOTOBJS=1" to build with embedded bootloaders and the 
# --install option and interactive mode.  You need the full set of Rockbox 
# bootloaders in this directory - download them from
# http://download.rockbox.org/bootloader/ipod/bootloaders.zip

# Releases of ipodpatcher are created with "make RELEASE=1".  This
# enables BOOTOBJS and uses the VERSION string defined in main.c

ifdef RELEASE
CFLAGS+=-DRELEASE
BOOTOBJS=1
endif

ifdef BOOTOBJS
BOOTSRC = ipod1g2g.c ipod3g.c ipod4g.c ipodcolor.c ipodmini1g.c ipodmini2g.c ipodnano1g.c ipodvideo.c ipodnano2g.c
CFLAGS += -DWITH_BOOTOBJS
endif

ifndef VERSION
VERSION=$(shell ../../tools/version.sh)
endif

CFLAGS+=-DVERSION=\"$(VERSION)\"

ifeq ($(findstring CYGWIN,$(shell uname)),CYGWIN)
OUTPUT=ipodpatcher.exe
CROSS=
CFLAGS+=-mno-cygwin
else 
ifeq ($(findstring MINGW,$(shell uname)),MINGW)
OUTPUT=ipodpatcher.exe
CROSS=
else
OUTPUT=ipodpatcher
CROSS=i586-mingw32msvc-
endif
endif
ifeq ($(findstring Darwin,$(shell uname)),Darwin)
# building against SDK 10.4 is not compatible with gcc-4.2 (default on newer Xcode)
# might need adjustment for older Xcode.
NATIVECC ?= gcc-4.0
CFLAGS+=-framework CoreFoundation -framework IOKit -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4
endif

NATIVECC ?= gcc
CC = $(CROSS)gcc
WINDRES = $(CROSS)windres

SRC = main.c ipodpatcher.c fat32format.c arc4.c

all: $(OUTPUT)

ipodpatcher: $(SRC) ipodio-posix.c $(BOOTSRC)
	$(NATIVECC) $(CFLAGS) -o ipodpatcher $(SRC) ipodio-posix.c $(BOOTSRC)
	strip ipodpatcher

ipodpatcher.exe: $(SRC) ipodio-win32.c ipodio-win32-scsi.c ipodpatcher-rc.o $(BOOTSRC)
	$(CC) $(CFLAGS) -o ipodpatcher.exe $(SRC) ipodio-win32.c ipodio-win32-scsi.c ipodpatcher-rc.o $(BOOTSRC)
	$(CROSS)strip ipodpatcher.exe

ipodpatcher-rc.o: ipodpatcher.rc ipodpatcher.manifest
	$(WINDRES) -i ipodpatcher.rc -o ipodpatcher-rc.o

ipodpatcher-mac: ipodpatcher-i386 ipodpatcher-ppc
	lipo -create ipodpatcher-ppc ipodpatcher-i386 -output ipodpatcher-mac

ipodpatcher-i386: $(SRC) ipodio-posix.c $(BOOTSRC)
	$(NATIVECC) -arch i386 $(CFLAGS) -o ipodpatcher-i386 $(SRC) ipodio-posix.c $(BOOTSRC)
	strip ipodpatcher-i386

ipodpatcher-ppc: $(SRC) ipodio-posix.c $(BOOTSRC)
	$(NATIVECC) -arch ppc $(CFLAGS) -o ipodpatcher-ppc $(SRC) ipodio-posix.c $(BOOTSRC)
	strip ipodpatcher-ppc

ipod2c: ipod2c.c
	$(NATIVECC) $(CFLAGS) -o ipod2c ipod2c.c

ipod1g2g.c: bootloader-ipod1g2g.ipod ipod2c
	./ipod2c bootloader-ipod1g2g.ipod ipod1g2g

ipod3g.c: bootloader-ipod3g.ipod ipod2c
	./ipod2c bootloader-ipod3g.ipod ipod3g

ipod4g.c: bootloader-ipod4g.ipod ipod2c
	./ipod2c bootloader-ipod4g.ipod ipod4g

ipodcolor.c: bootloader-ipodcolor.ipod ipod2c
	./ipod2c bootloader-ipodcolor.ipod ipodcolor

ipodmini1g.c: bootloader-ipodmini1g.ipod ipod2c
	./ipod2c bootloader-ipodmini1g.ipod ipodmini1g

ipodmini2g.c: bootloader-ipodmini2g.ipod ipod2c
	./ipod2c bootloader-ipodmini2g.ipod ipodmini2g

ipodnano1g.c: bootloader-ipodnano1g.ipod ipod2c
	./ipod2c bootloader-ipodnano1g.ipod ipodnano1g

ipodvideo.c: bootloader-ipodvideo.ipod ipod2c
	./ipod2c bootloader-ipodvideo.ipod ipodvideo

ipodnano2g.c: bootloader-ipodnano2g.ipodx ipod2c
	./ipod2c bootloader-ipodnano2g.ipodx ipodnano2g


clean:
	rm -f ipodpatcher.exe ipodpatcher-rc.o ipodpatcher-mac ipodpatcher-i386 ipodpatcher-ppc ipodpatcher ipod2c *~ $(BOOTSRC) $(BOOT_H)

=== rbutil/tools/Makefile ===
CFLAGS=-Wall -W -D_LARGEFILE64_SOURCE

ifeq ($(findstring CYGWIN,$(shell uname)),CYGWIN)
CROSS=
CFLAGS+=-mno-cygwin
else
ifeq ($(findstring MINGW,$(shell uname)),MINGW)
CROSS=
else
CROSS=i586-mingw32msvc-
endif
endif

NATIVECC = gcc
CC = $(CROSS)gcc
WINDRES = $(CROSS)windres


all: bin2c

bin2c: bin2c.c
	$(NATIVECC) $(CFLAGS) -o bin2c bin2c.c

clean:
	$(RM) bin2c bin2c.exe

=== tools/fwpatcher/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#

#value for crosscompiling on linux
PREFIX=i586-mingw32msvc-

#value for compiling on cygwin
#PREFIX=

TARGET = fwpatchernu.exe
TARGETU = fwpatcher.exe

WINDRES = $(PREFIX)windres
CC = $(PREFIX)gcc

UNICODE = -DUNICODE -D_UNICODE

ifndef VERSION
VERSION=$(shell date +%y%m%d-%H%M)
endif

#values for crosscompiling on linux
CFLAGS = -DAPPSVERSION=\"$(VERSION)\" -I. -Os -s -fomit-frame-pointer
LDFLAGS = -lmingw32 -mwindows -s

#values for compiling on cygwin
#CFLAGS = -I. -Os -s -fomit-frame-pointer -mno-cygwin -DNOCYGWIN
#LDFLAGS = -lmingw32 -mwindows -s -mno-cygwin

OBJS= resource.o iriver.o main.o md5.o
OBJSU= resource.o iriveru.o mainu.o md5.o

all: $(TARGET) $(TARGETU)

$(TARGET): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o $@

$(TARGETU): $(OBJSU)
	$(CC) $(LDFLAGS) $(OBJSU) -o $@

resource.o: resource.rc bootloader-h100.bin bootloader-h120.bin bootloader-h300.bin rockbox.ico
	$(WINDRES) -v $< $@

iriveru.o: iriver.c iriver.h
	$(CC) $(CFLAGS) $(UNICODE) -c $< -o $@

iriver.o: iriver.c iriver.h

mainu.o: main.c
	$(CC) $(CFLAGS) $(UNICODE) -c $< -o $@

main.o: main.c

md5.o: md5.c md5.h

clean:
	rm -f $(OBJSU) $(OBJS) $(TARGETU) $(TARGET)

=== tools/ucl/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#
CFLAGS = -O2 -Iinclude

TARGET = ../uclpack

$(TARGET): uclpack.o src/libucl.a
	$(CC) uclpack.o src/libucl.a -o $(TARGET)

uclpack.o: uclpack.c

src/libucl.a:
	$(MAKE) -C src

clean:
	rm -f $(TARGET) uclpack.o
	$(MAKE) -C src clean

=== utils/time-sync/Makefile ===
CFLAGS = -Wall
SRCS = ipod-scsi.c time-sync.c
OBJS = $(patsubst %.c,%.o,$(SRCS))

all: time-sync

clean:
	rm -f ${OBJS} time-sync

%.o: %.c
	gcc ${CFLAGS} -c -o $@ $^

time-sync: ${OBJS}
	gcc ${CFLAGS} -lsgutils2 -o $@ $^

install: time-sync
	cp time-sync /usr/local/bin/

=== firmware/test/fat/Makefile ===
FIRMWARE = ../..

export BUILDDATE=$(shell date -u +'-DYEAR=%Y -DMONTH=%m -DDAY=%d')
export CPU=arm
export TARGET=-DIPOD_VIDEO
export TARGET_INC=-I$(FIRMWARE)/target/arm/ipod/video -I$(FIRMWARE)/target/arm/ipod -I$(FIRMWARE)/target/arm

DRIVERS = ../../drivers
EXPORT = ../../export

INCLUDE = -I$(EXPORT) -I$(FIRMWARE)/include 

DEFINES =  -DTEST_FAT -DDEBUG -DCRT_DISPLAY -DDISK_WRITE -DHAVE_FAT16SUPPORT -D__PCTOOL__

CFLAGS = -g -Wall -std=gnu99 -Wno-pointer-sign $(DEFINES) -I. $(INCLUDE) $(BUILDDATE) -I$(FIRMWARE)/libc/include
SIMFLAGS = -g -Wall -std=gnu99 -Wno-pointer-sign $(DEFINES) -I. $(INCLUDE)

TARGET = fat

all: $(TARGET)

$(TARGET): fat.o ata-sim.o main.o disk.o dir.o file.o ctype.o unicode.o strlcpy.o
	gcc -g -o fat $+ -lfl

fat.o: $(DRIVERS)/fat.c $(EXPORT)/fat.h $(EXPORT)/ata.h
	$(CC) $(CFLAGS) -c $< -o $@

ctype.o: $(FIRMWARE)/libc/ctype.c
	$(CC) $(CFLAGS) -c $< -o $@

disk.o: $(FIRMWARE)/common/disk.c
	$(CC) $(CFLAGS) -c $< -o $@

dir.o: $(FIRMWARE)/common/dir_uncached.c
	$(CC) $(CFLAGS) -c $< -o $@

file.o: $(FIRMWARE)/common/file.c
	$(CC) $(CFLAGS) -c $< -o $@

unicode.o: $(FIRMWARE)/common/unicode.c
	$(CC) $(CFLAGS) -c $< -o $@

strlcpy.o: $(FIRMWARE)/common/strlcpy.c
	$(CC) $(CFLAGS) -c $< -o $@

ata-sim.o: ata-sim.c $(EXPORT)/ata.h
	$(CC) $(SIMFLAGS) -c $< -o $@

main.o: main.c $(EXPORT)/ata.h
	$(CC) $(SIMFLAGS) -c $< -o $@

clean:
	rm -f *.o $(TARGET)

=== uisimulator/common/player_icons/Makefile ===
############################################################################
#             __________               __   ___.                  
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___  
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /  
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <   
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/ 
# $Id$
#
# Copyright (C) 2002 by Mats Lidell <matsl@contactor.se>
#
# All files in this archive are subject to the GNU General Public License.
# See the file COPYING in the source tree root for full license agreement.
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
# KIND, either express or implied.
#
############################################################################


BMP2RB = ../../../tools/bmp2rb

SUFFIXES := .bmp

%.h: %.bmp
	$(BMP2RB) $< > $@

BITMAPS = battery.bmp battery_bit.bmp \
	pause.bmp play.bmp record.bmp \
	volume.bmp volume1.bmp volume2.bmp volume3.bmp volume4.bmp volume5.bmp \
	usb.bmp audio.bmp param.bmp \
	repeat.bmp repeat1.bmp

SRCS := $(BITMAPS:%.bmp=%.h)

all:	$(SRCS)
	cat $(SRCS) > grand_total_of_player_icons.c

clean:
	rm $(SRCS) grand_total_of_player_icons.c

=== utils/zenutils/libraries/zlib123/CMakeLists.txt ===
PROJECT(zlib)

# source files for zlib
SET(zlib_src
  zlib/adler32.c
  zlib/compress.c
  zlib/crc32.c
  zlib/deflate.c
  zlib/gzio.c
  zlib/infback.c
  zlib/inffast.c
  zlib/inflate.c
  zlib/inftrees.c
  zlib/trees.c
  zlib/uncompr.c
  zlib/zutil.c
)

ADD_LIBRARY(zlib ${zlib_src})

=== utils/zenutils/source/zen_crypt/CMakeLists.txt ===
ADD_EXECUTABLE(zen_crypt main.cpp)

SET_SOURCE_FILES_PROPERTIES(main.cpp PROPERTIES COMPILE_FLAGS -Wno-multichar)

TARGET_LINK_LIBRARIES(zen_crypt shared)
TARGET_LINK_LIBRARIES(zen_crypt beecrypt)

=== debian/changelog ===
rockbox (2011-03-18maemo0) unstable; urgency=low

  * Implemented RTC support (timestamps in last.FM scrobbler log)
  * Working sleep timer
  * Working idle poweroff
  * Support for antialised fonts (not in use yet)
  * Update to latest rockbox SVN code

 -- Thomas Jarosch <tomj@simonv.com>  Fri, 18 Mar 2011 22:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,17 @@
   libplayback-1-dev | maemo-version-dev (<= 5)
 # Note: This is the -debian- standards version, not rockbox
 Standards-Version: 3.7.2
+
+Package: rockbox
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Rockbox open source high quality audio player
+XB-Maemo-Display-Name: Rockbox audio player
+XB-Maemo-Upgrade-Description: Implemented RTC support
+ (timestamps in last.FM scrobbler log). Working sleep timer.
+ Working idle poweroff. Support for antialised fonts (not in use yet).
+ Update to latest rockbox SVN code
+XSBC-Bugtracker: http://www.rockbox.org/tracker/
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
@@ -62,12 +73,6 @@
  W/c2/WbdtpJdQGWLMviA4EOTcoaNHey+0+MSGVrfXJc9hMBqbNZV7x9t3L9x
  R9khoAyoFzF5RVf01oo7evXmZrxuEwKaYq/b/B/B2k8FFRXfJAAAAABJRU5E
  rkJggg==
-XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=rockbox
-
-Package: rockbox
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Rockbox open source high quality audio player
 
 Package: rockbox-doc
 Architecture: all
